{% extends 'inventory/base.html' %}
{% load crispy_forms_tags %}

{% block title %} | Inventory {% endblock %}

{% block content %}
    <div class="nav nav-pills nav-justified m-3">
        <div class="nav-item">
            <a class="nav-link" href="{% url 'analytics_categories' %}">Categories</a>
        </div>
        <div class="nav-item">
            <a class="nav-link active" href="{% url 'analytics_parts' %}">Parts</a>
        </div>
    </div>
    <div class="table-responsive">
        <table class="table table-sm table-striped">
            <thead class="thead-light">
            <tr>
                <th scope="col" class="text-nowrap">
                    Part
                    {% if order == 'name' %}
                        <a href="{% url 'analytics_parts' %}?order=-name">
                            <i class="fas fa-sort-up"></i>
                        </a>
                    {% elif order == '-name' %}
                        <a href="{% url 'analytics_parts' %}?order=name">
                            <i class="fas fa-sort-down"></i>
                        </a>
                    {% else %}
                        <a href="{% url 'analytics_parts' %}?order=name">
                            <i class="fas fa-sort"></i>
                        </a>
                    {% endif %}
                </th>
                <th scope="col" class="text-nowrap text-right align-middle">
                    Ordered
                    {% if order == 'ordered' %}
                        <a href="{% url 'analytics_parts' %}?order=-ordered">
                            <i class="fas fa-sort-up"></i>
                        </a>
                    {% elif order == '-ordered' %}
                        <a href="{% url 'analytics_parts' %}?order=ordered">
                            <i class="fas fa-sort-down"></i>
                        </a>
                    {% else %}
                        <a href="{% url 'analytics_parts' %}?order=ordered">
                            <i class="fas fa-sort"></i>
                        </a>
                    {% endif %}
                </th>
            </tr>
            </thead>
            <tbody>
            {% for part in parts %}
                <tr>
                    <td><a href="{% url 'part' part_id=part.id %}">{{ part.name }}</a></td>
                    <td class="text-right align-middle" style=>{{ part.quantity_ordered }}</td>
                </tr>
            {% endfor %}
            </tbody>
        </table>
    </div>
{% endblock %}
